{
	"name": "table/external/odoo/order/order-accounts_payable.json",
	"table_name": "account_move",
	"odoo_model": "account.move",
	"table_prefix": "ord",
	"record_type": ["accounts_payable"],
	"local_table": "order",
	"local_record_type": "accounts_payable",
	"field": [
		{
			"info": "Abnormal Amount Warning",
			"field_name": "abnormal_amount_warning",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Abnormal Date Warning",
			"field_name": "abnormal_date_warning",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Security Token",
			"field_name": "access_token",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Portal Access URL\nCustomer Portal URL",
			"field_name": "access_url",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Access warning",
			"field_name": "access_warning",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Next Activity Calendar Event",
			"field_name": "activity_calendar_event_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Next Activity Deadline",
			"field_name": "activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Activity Exception Decoration\nType of the exception activity on record.",
			"field_name": "activity_exception_decoration",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Icon\nIcon to indicate an exception activity.",
			"field_name": "activity_exception_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activities",
			"field_name": "activity_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Activity State\nStatus based on activities\nOverdue: Due date is already passed\nToday: Activity date is today\nPlanned: Future activities.",
			"field_name": "activity_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Next Activity Summary",
			"field_name": "activity_summary",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activity Type Icon\nFont awesome icon e.g. fa-tasks",
			"field_name": "activity_type_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Next Activity Type",
			"field_name": "activity_type_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Responsible User",
			"field_name": "activity_user_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Adjusting Entries Count",
			"field_name": "adjusting_entries_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Created Adjusting Entries",
			"field_name": "adjusting_entries_move_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Adjusting Entry Origin Label",
			"field_name": "adjusting_entry_origin_label",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Adjusting Entry Origin Moves",
			"field_name": "adjusting_entry_origin_move_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Adjusting Entry Origin Moves Count",
			"field_name": "adjusting_entry_origin_moves_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Always Tax Exigible",
			"field_name": "always_tax_exigible",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Amount paid",
			"field_name": "amount_paid",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Amount Due",
			"field_name": "amount_residual",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Amount Due Signed",
			"field_name": "amount_residual_signed",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Tax",
			"field_name": "amount_tax",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Tax Signed",
			"field_name": "amount_tax_signed",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Total",
			"field_name": "amount_total",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Total in Currency Signed",
			"field_name": "amount_total_in_currency_signed",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Total Signed",
			"field_name": "amount_total_signed",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Amount total in words",
			"field_name": "amount_total_words",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Untaxed Amount",
			"field_name": "amount_untaxed",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Untaxed Amount Signed Currency",
			"field_name": "amount_untaxed_in_currency_signed",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Untaxed Amount Signed",
			"field_name": "amount_untaxed_signed",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Cumulative Depreciation",
			"field_name": "asset_depreciated_value",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Date of the beginning of the depreciation",
			"field_name": "asset_depreciation_beginning_date",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Asset",
			"field_name": "asset_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Asset Id Display Name",
			"field_name": "asset_id_display_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Assets",
			"field_name": "asset_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Asset Move Type",
			"field_name": "asset_move_type",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Number of days",
			"field_name": "asset_number_days",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Depreciable Value",
			"field_name": "asset_remaining_value",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Asset Value Change",
			"field_name": "asset_value_change",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Attachments",
			"field_name": "attachment_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Audit Trail Messages",
			"field_name": "audit_trail_message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Authorized Transactions",
			"field_name": "authorized_transaction_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Auto Generated Document",
			"field_name": "auto_generated",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Source Invoice",
			"field_name": "auto_invoice_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Auto-post\nSpecify whether this entry is posted automatically on its accounting date, and any similar recurring invoices.",
			"field_name": "auto_post",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "First recurring entry",
			"field_name": "auto_post_origin_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Auto-post until\nThis recurring move will be posted up to and including this date.",
			"field_name": "auto_post_until",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Bank Partner\nTechnical field to get the domain on the bank",
			"field_name": "bank_partner_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Meeting Booking",
			"field_name": "calendar_booking_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Campaign\nThis is a name that helps you keep track of your different campaign efforts, e.g. Fall_Drive, Christmas_Special",
			"field_name": "campaign_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Checked\nIf this checkbox is not ticked, it means that the user was not sure of all the related information at the time of the creation of the move and that the move needs to be checked again.",
			"field_name": "checked",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Commercial Entity",
			"field_name": "commercial_partner_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Company Currency",
			"field_name": "company_currency_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Company",
			"field_name": "company_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Default Sales Price Include\nDefault on whether the sales price used on the product and invoices with this Company includes its taxes.",
			"field_name": "company_price_include",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Count Asset",
			"field_name": "count_asset",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Country Code\nThe ISO country code in two chars. \nYou can use this field for quick search.",
			"field_name": "country_code",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Currency",
			"field_name": "currency_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Date",
			"field_name": "date",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Deferred Entry Type",
			"field_name": "deferred_entry_type",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Deferred Entries\nThe deferred entries created by this invoice",
			"field_name": "deferred_move_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Original Invoices\nThe original invoices that created the deferred entries",
			"field_name": "deferred_original_move_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Delivery Date",
			"field_name": "delivery_date",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Depreciation",
			"field_name": "depreciation_value",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Direction Sign\nMultiplicator depending on the document type, to convert a price into a balance",
			"field_name": "direction_sign",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Display Inactive Currency Warning",
			"field_name": "display_inactive_currency_warning",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Display QR-code",
			"field_name": "display_qr_code",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Draft Asset Exists",
			"field_name": "draft_asset_exists",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Duplicated Ref",
			"field_name": "duplicated_ref_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Edi Blocking Level",
			"field_name": "edi_blocking_level",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Edi Document",
			"field_name": "edi_document_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Edi Error Count\nHow many EDIs are in error for this move?",
			"field_name": "edi_error_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Edi Error Message",
			"field_name": "edi_error_message",
			"local_field": "",
			"field_type": "text",
			"type": "html"
		},
		{
			"info": "Edi Show Abandon Cancel Button",
			"field_name": "edi_show_abandon_cancel_button",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Edi Show Cancel Button",
			"field_name": "edi_show_cancel_button",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Edi Show Force Cancel Button",
			"field_name": "edi_show_force_cancel_button",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Electronic invoicing\nThe aggregated state of all the EDIs with web-service of this move",
			"field_name": "edi_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Edi Web Services To Process",
			"field_name": "edi_web_services_to_process",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Related reconciliation",
			"field_name": "exchange_diff_partial_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Expense",
			"field_name": "expense_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Expense Sheet",
			"field_name": "expense_sheet_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Extract Attachment",
			"field_name": "extract_attachment_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Can show the ocr banners",
			"field_name": "extract_can_show_banners",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Can show the ocr send button",
			"field_name": "extract_can_show_send_button",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Extract Detected Layout Id",
			"field_name": "extract_detected_layout",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "ID of the request to IAP-OCR",
			"field_name": "extract_document_uuid",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Error message",
			"field_name": "extract_error_message",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Extract Detected Partner Name",
			"field_name": "extract_partner_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Extract Prefill Data",
			"field_name": "extract_prefill_data",
			"local_field": "",
			"field_type": "json"
		},
		{
			"info": "Extract state",
			"field_name": "extract_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Extract State Processed",
			"field_name": "extract_state_processed",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Extract status",
			"field_name": "extract_status",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Extracted Words",
			"field_name": "extracted_word_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Fiscal Position\nFiscal positions are used to adapt taxes and accounts for particular customers or sales orders/invoices. The default value comes from the customer.",
			"field_name": "fiscal_position_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Generating Loan Line\nLine of the loan that generated this entry",
			"field_name": "generating_loan_line_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Has Documents",
			"field_name": "has_documents",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Has Message",
			"field_name": "has_message",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Has Reconciled Entries",
			"field_name": "has_reconciled_entries",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Hide Post Button",
			"field_name": "hide_post_button",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Highest Name",
			"field_name": "highest_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "order_id",
			"local_field2": ["record_id"],
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "Inalterability Hash",
			"field_name": "inalterable_hash",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Incoterm Location",
			"field_name": "incoterm_location",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Intrastat Country\nIntrastat country, arrival for sales, dispatch for purchases",
			"field_name": "intrastat_country_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Intrastat Transport Mode",
			"field_name": "intrastat_transport_mode_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Cash Rounding Method\nDefines the smallest coinage of the currency that can be used to pay by cash.",
			"field_name": "invoice_cash_rounding_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Currency Rate\nCurrency rate from company currency to document currency.",
			"field_name": "invoice_currency_rate",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Invoice/Bill Date",
			"field_name": "invoice_date",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Due Date",
			"field_name": "invoice_date_due",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Invoice Filter Type Domain",
			"field_name": "invoice_filter_type_domain",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Invoice Has Outstanding",
			"field_name": "invoice_has_outstanding",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Incoterm\nInternational Commercial Terms are a series of predefined commercial terms used in international transactions.",
			"field_name": "invoice_incoterm_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Invoice lines",
			"field_name": "invoice_line_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Origin\nThe document(s) that generated the invoice.",
			"field_name": "invoice_origin",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Invoice Outstanding Credits Debits Widget",
			"field_name": "invoice_outstanding_credits_debits_widget",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "Invoice Partner Display Name",
			"field_name": "invoice_partner_display_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Payment Terms",
			"field_name": "invoice_payment_term_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Invoice Payments Widget",
			"field_name": "invoice_payments_widget",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "PDF File",
			"field_name": "invoice_pdf_report_file",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "PDF Attachment",
			"field_name": "invoice_pdf_report_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Source Email",
			"field_name": "invoice_source_email",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Salesperson",
			"field_name": "invoice_user_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Vendor Bill\nAuto-complete from a past bill.",
			"field_name": "invoice_vendor_bill_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Is Being Sent\nIs the move being sent asynchronously",
			"field_name": "is_being_sent",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Is In Extractable State",
			"field_name": "is_in_extractable_state",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Is Loan Payment Move",
			"field_name": "is_loan_payment_move",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Is Manually Modified",
			"field_name": "is_manually_modified",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Is Move Sent\nIt indicates that the invoice/payment has been sent.",
			"field_name": "is_move_sent",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Is Purchase Matched",
			"field_name": "is_purchase_matched",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Is Storno",
			"field_name": "is_storno",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Ledger",
			"field_name": "journal_group_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Journal",
			"field_name": "journal_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Journal Items",
			"field_name": "line_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Loan",
			"field_name": "loan_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Made Sequence Gap",
			"field_name": "made_sequence_gap",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Matched Payments",
			"field_name": "matched_payment_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Medium\nThis is the method of delivery, e.g. Postcard, Email, or Banner Ad",
			"field_name": "medium_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Attachment Count",
			"field_name": "message_attachment_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers",
			"field_name": "message_follower_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Message Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of errors\nNumber of messages with delivery error",
			"field_name": "message_has_error_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "SMS Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_sms_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Messages",
			"field_name": "message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Is Follower",
			"field_name": "message_is_follower",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Main Attachment",
			"field_name": "message_main_attachment_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Action Needed\nIf checked, new messages require your attention.",
			"field_name": "message_needaction",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of Actions\nNumber of messages requiring action",
			"field_name": "message_needaction_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers (Partners)",
			"field_name": "message_partner_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Sent",
			"field_name": "move_sent_values",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Type",
			"field_name": "move_type",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "My Activity Deadline",
			"field_name": "my_activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Number",
			"field_name": "name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Name Placeholder",
			"field_name": "name_placeholder",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Terms and Conditions",
			"field_name": "narration",
			"local_field": "",
			"field_type": "text",
			"type": "html"
		},
		{
			"info": "Number of Expenses",
			"field_name": "nb_expenses",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Need Cancel Request",
			"field_name": "need_cancel_request",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Needed Terms",
			"field_name": "needed_terms",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "Needed Terms Dirty",
			"field_name": "needed_terms_dirty",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Next Payment Date",
			"field_name": "next_payment_date",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Payment",
			"field_name": "origin_payment_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Recipient Bank\nBank Account Number to which the invoice will be paid. A Company bank account if this is a Customer Invoice or Vendor Credit Note, otherwise a Partner bank account number.",
			"field_name": "partner_bank_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Partner Credit",
			"field_name": "partner_credit",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Partner Credit Warning",
			"field_name": "partner_credit_warning",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Partner",
			"field_name": "partner_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Delivery Address\nDelivery address for current invoice.",
			"field_name": "partner_shipping_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Payment Count",
			"field_name": "payment_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Payments",
			"field_name": "payment_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Payment Reference\nThe payment reference to set on journal items.",
			"field_name": "payment_reference",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Payment Status",
			"field_name": "payment_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Payment State Before Switch",
			"field_name": "payment_state_before_switch",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Payment Term Details",
			"field_name": "payment_term_details",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "# of Payslips",
			"field_name": "payslip_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Payslips",
			"field_name": "payslip_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "PEPPOL message ID",
			"field_name": "peppol_message_uuid",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "PEPPOL status",
			"field_name": "peppol_move_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Posted Before",
			"field_name": "posted_before",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Preferred Payment Method Line",
			"field_name": "preferred_payment_method_line_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Purchase Order\nAuto-complete from a past purchase order.",
			"field_name": "purchase_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Purchase Order Count",
			"field_name": "purchase_order_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Purchase Order Name",
			"field_name": "purchase_order_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Auto-complete\nAuto-complete from a past bill / purchase order.",
			"field_name": "purchase_vendor_bill_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Payment QR-code\nType of QR-code to be generated for the payment of this invoice, when printing it. If left blank, the first available and usable method will be used.",
			"field_name": "qr_code_method",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Quick Edit Mode",
			"field_name": "quick_edit_mode",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Total (Tax inc.)\nUse this field to encode the total amount of the invoice.\nOdoo will automatically create one invoice line with default values to match it.",
			"field_name": "quick_edit_total_amount",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Quick Encoding Vals",
			"field_name": "quick_encoding_vals",
			"local_field": "",
			"field_type": "json"
		},
		{
			"info": "Ratings",
			"field_name": "rating_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Reference",
			"field_name": "ref",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Lock Posted Entries with Hash\nIf ticked, the accounting entry or invoice receives a hash as soon as it is posted and cannot be modified anymore.",
			"field_name": "restrict_mode_hash_table",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Reversal Move",
			"field_name": "reversal_move_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Reversal of",
			"field_name": "reversed_entry_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Sale Order Count",
			"field_name": "sale_order_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Sdd Has Usable Mandate",
			"field_name": "sdd_has_usable_mandate",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Sdd Mandate\nOnce this invoice has been paid with Direct Debit, contains the mandate that allowed the payment.",
			"field_name": "sdd_mandate_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Inalteralbility No Gap Sequence #",
			"field_name": "secure_sequence_number",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Secured\nThe entry is secured with an inalterable hash.",
			"field_name": "secured",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Sending Data",
			"field_name": "sending_data",
			"local_field": "",
			"field_type": "json"
		},
		{
			"info": "Sequence Number",
			"field_name": "sequence_number",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Sequence Prefix",
			"field_name": "sequence_prefix",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Show Commercial Partner Warning",
			"field_name": "show_commercial_partner_warning",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Show Delivery Date",
			"field_name": "show_delivery_date",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Show Discount Details",
			"field_name": "show_discount_details",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Show Name Warning",
			"field_name": "show_name_warning",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Show Payment Term Details",
			"field_name": "show_payment_term_details",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Show Reset To Draft Button",
			"field_name": "show_reset_to_draft_button",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Show Signature Area",
			"field_name": "show_signature_area",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Has Fiscal Position Changed",
			"field_name": "show_update_fpos",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Signature",
			"field_name": "signature",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "Signer",
			"field_name": "signing_user",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Source\nThis is the source of the link, e.g. Search Engine, another domain, or name of email list",
			"field_name": "source_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Status",
			"field_name": "state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Statement",
			"field_name": "statement_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Statement Line",
			"field_name": "statement_line_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Statements",
			"field_name": "statement_line_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Status In Payment",
			"field_name": "status_in_payment",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Stock Move",
			"field_name": "stock_move_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Stock Valuation Layer",
			"field_name": "stock_valuation_layer_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Suitable Journal",
			"field_name": "suitable_journal_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Request document from a bank statement line",
			"field_name": "suspense_statement_line_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Tax calculation rounding method",
			"field_name": "tax_calculation_rounding_method",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Cash Basis Entries\nThe cash basis entries created from the taxes on this entry, when reconciling its lines.",
			"field_name": "tax_cash_basis_created_move_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Cash Basis Origin\nThe journal entry from which this tax cash basis journal entry has been created.",
			"field_name": "tax_cash_basis_origin_move_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Tax Cash Basis Entry of",
			"field_name": "tax_cash_basis_rec_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Tax Closing Alert",
			"field_name": "tax_closing_alert",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Tax Closing Report",
			"field_name": "tax_closing_report_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Tax Country Code",
			"field_name": "tax_country_code",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Tax Country",
			"field_name": "tax_country_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Tax Lock Date Message",
			"field_name": "tax_lock_date_message",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Invoice Totals\nEdit Tax amounts if you encounter rounding issues.",
			"field_name": "tax_totals",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "Taxes Legal Notes",
			"field_name": "taxes_legal_notes",
			"local_field": "",
			"field_type": "text",
			"type": "html"
		},
		{
			"info": "Sales Team",
			"field_name": "team_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Number of timesheets",
			"field_name": "timesheet_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Timesheet Encoding Unit",
			"field_name": "timesheet_encode_uom_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Timesheets",
			"field_name": "timesheet_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Timesheet Total Duration\nTotal recorded duration, expressed in the encoding UoM, and rounded to the unit",
			"field_name": "timesheet_total_duration",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Transaction Count",
			"field_name": "transaction_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Transactions",
			"field_name": "transaction_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Originating Model",
			"field_name": "transfer_model_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Type Name",
			"field_name": "type_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "UBL/CII File",
			"field_name": "ubl_cii_xml_file",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "Attachment",
			"field_name": "ubl_cii_xml_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "User",
			"field_name": "user_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Website\nWebsite through which this invoice was created for eCommerce orders.",
			"field_name": "website_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Website Messages\nWebsite communication history",
			"field_name": "website_message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Manufacturing Orders Count",
			"field_name": "wip_production_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Relevant WIP MOs\nThe MOs that this WIP entry was based on. Expected to be set at time of WIP entry creation.",
			"field_name": "wip_production_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
